package gov.va.med.cds.ws.saml.interceptor;

import org.apache.cxf.interceptor.Fault;
import org.apache.cxf.message.Message;
import org.apache.cxf.phase.AbstractPhaseInterceptor;
import org.apache.cxf.phase.Phase;

import gov.va.med.cds.saml.SamlAssertionThreadLocal;


public class CleanupOutInterceptor extends AbstractPhaseInterceptor<Message> { 
	
	public CleanupOutInterceptor() {
		super(Phase.SETUP_ENDING);
	}
	
	public CleanupOutInterceptor(String phase) {
		super(phase);
	}
	
	public void handleMessage(Message message) throws Fault {
		//cleanup ThreadLocal
    	SamlAssertionThreadLocal.cleanup();
	}

}


